
#ifndef _SYS_DEFS_H_
#define _SYS_DEFS_H_

/*	Values	*/

#define TARGET_CPU_STR		"SH2/7047F"

/* endian */
#define SIL_ENDIAN      1		/* BIG ENDIAN */

/*	Address		*/
#define RAM_BASE		0xffffd000
#define RAM_SIZE		0x003000
#define VECTOR_SIZE		0x400
#define STACK_TOP		0x00000000

/*
 *  ԤΤ
 *  ϥåȿ˰¸롣
 */
#define	SIL_DLY_TIM1	2286
#define	SIL_DLY_TIM2	1664

/*	Default Values	*/

#define DEF_DUMP_LENGTH	256
#define DEF_MON_SERIAL	0
#define NOT_INITDECT

#ifndef _MACRO_ONLY
/*
 *  ѥ¸Υǡ
 */
#define	_int8_		char		/* 8ӥåȤ	*/
#define	_int16_		short		/* 16ӥåȤ	*/
#define	_int32_		int			/* 32ӥåȤ	*/

/*
 *  ѥγĥǽΤΥޥ
 */
#define	Inline          static inline

#endif	/* _MACRO_ONLY */

/*	Serial Channels		*/

#define MAX_SERIAL		2

#include "sh7047.h"

/* serial definitions */

#define INTC_LEVEL_SCI3		(9)	/* interrupt level SCI3			*/
#define INTC_LEVEL_SCI4		(8)	/* interrupt level SCI4			*/
#if 1
#define DEFAULT_SPEED		38400
#else	/* of #if 1 */
#define DEFAULT_SPEED		9600
#endif	/* of #if 1 */

#define DEFAULT_BRR		(CLOCK_RATE / 32 / DEFAULT_SPEED)

#define DEFAULT_SMR		0x00	/* Async, 8 bits, No parity, 1 stop bit, no MP, 1/1 */

#endif	/* SYS_DEFS_H_ */

