/*
 *  rommon Simple Monitor
 * 
 *  Copyright (C) 1999-2004 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *  Copyright (C) 2007 by GJ Business Division RICOH COMPANY,LTD. JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: $
 */

/*
 *	rommon Serial Functions
 */
#include "sys_defs.h"
#include "sil.h"
#include "serial.h"

/*
 *	Optional Initialize
 */
void BeforeInit(void)
{
	/* initial Module Standby register */
	sil_wrh_mem((uint16_t *)(IOREG_MST_BASE+IOREG_CR1_OFFSET), 0xf03c);	/* sci1,sci0 */
	sil_wrh_mem((uint16_t *)(IOREG_MST_BASE+IOREG_CR2_OFFSET), 0xe0f0);	/* cmt */

	/* initial base state */
//	sil_wrh_mem((uint16_t *)(IOREG_BSC_BASE+IOREG_BCR1_OFFSET), 0x600e);/* CS0:8bit */
//	sil_wrh_mem((uint16_t *)(IOREG_BSC_BASE+IOREG_BCR2_OFFSET), 0xffff);/* CS0:idle cycle 3*/
//	sil_wrh_mem((uint16_t *)(IOREG_BSC_BASE+IOREG_WCR1_OFFSET), 0xfff2);/* CS0 2Wait */

	/* ɣϥݡ */
//	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PACRL1_OFFSET), 0x1115);	/*	0001 0001 0001 0101	*/
	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PACRL2_OFFSET), 0x0145);	/*	0000 0001 0100 0101	*/	/*	SC1, SC0	*/
//	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PAIORL_OFFSET), 0x5ebf);	/*	0101 1110 1011 1111	*/

//	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PBCR1_OFFSET), 0x2c00);	/*	0010 1100 0000 0000	*/	/*	TXD4,RXD4	*/
//	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PBCR2_OFFSET), 0x04f5);	/*	0000 0100 1111 0101	*/	/*	TXD4,RXD4	*/
//	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PBIOR_OFFSET), 0x0023);	/*	0000 0000 0010 0011	*/	/*	TXD4,RXD4	*/

//	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PDCRL1_OFFSET), 0x00ff);	/*	0000 0000 1111 1111	*/
//	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PDCRL2_OFFSET), 0x0000);	/*	0000 0000 0000 0000	*/
//	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PDIORL_OFFSET), 0x0000);	/*	0000 0000 0000 0000	*/

	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PECRL1_OFFSET), 0x0000);	/*	0000 0000 0000 0000	*/
	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PECRL2_OFFSET), 0x0000);	/*	0000 0000 0000 0000	*/
	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PEIORL_OFFSET), 0x8000);	/*	1000 0000 0000 0000	*/
	sil_wrh_mem((uint16_t *)(IOREG_PFC_BASE+IOREG_PEDRL_OFFSET), 0x0000);	/* LED ON */
}

/*
 *	Initialize Serial Channel
 *  Input: id: Serial Channel #
 */
void InitSIO(int id)
{
	unsigned long  base = id * IOREG_SCI_WINDOW + IOREG_SCI_BASE;
	unsigned short tmp;
	unsigned char  dummy;
												/* Initialize SCR, SMR and BRR */
	sil_wrb_mem((uint8_t *)(base+IOREG_SCR_OFFSET), 0x00);
	sil_wrb_mem((uint8_t *)(base+IOREG_SMR_OFFSET), DEFAULT_SMR);
	sil_wrb_mem((uint8_t *)(base+IOREG_BRR_OFFSET), DEFAULT_BRR);

	sil_dly_nse(1000L);
	sil_wrb_mem((uint8_t *)(base+IOREG_SCR_OFFSET), SCR_RIE|SCR_TE|SCR_RE);
	dummy = sil_reb_mem((uint8_t *)(base+IOREG_SSR_OFFSET));		/* Dummy read */
	tmp   = sil_reh_mem((uint16_t *)(IOREG_INTC_BASE+IOREG_IPRF_OFFSET));
	if(id == 0){
		tmp &= ~(0xf<<ISR_SCR0_SHIFT);
		tmp |= INTC_LEVEL_SCI0<<ISR_SCR0_SHIFT;
	}
	else{
		tmp &= ~(0xf<<ISR_SCR1_SHIFT);
		tmp |= INTC_LEVEL_SCI1<<ISR_SCR1_SHIFT;
	}
	sil_wrh_mem((uint16_t *)(IOREG_INTC_BASE+IOREG_IPRF_OFFSET), tmp);
	sil_wrb_mem((uint8_t *)(base+IOREG_SSR_OFFSET), SSR_TDRE);		/* Clear error flags */
}

/*
 *  Get RX Data
 *  Input: id: Serial Channel #
 *  output: c: Rx Data
 */
unsigned short GetRxData(int id)
{
	unsigned long  base = id * IOREG_SCI_WINDOW + IOREG_SCI_BASE;
	unsigned short c    = 0;
	unsigned char  tmp;

	tmp = sil_reb_mem((uint8_t *)(base+IOREG_SSR_OFFSET));
	if(tmp & (SSR_OPER|SSR_FER|SSR_PER)){
		tmp &= ~(SSR_OPER|SSR_FER|SSR_PER);
		sil_wrb_mem((uint8_t *)(base+IOREG_SSR_OFFSET), tmp);
	}
	if(tmp & SSR_RDRF){
		c  = sil_reb_mem((uint8_t *)(base+IOREG_RDR_OFFSET));
		c |= CHKRXDATA;
		tmp &= ~SSR_RDRF;
		sil_wrb_mem((uint8_t *)(base+IOREG_SSR_OFFSET), tmp);
	}
	return c;
}

/*
 *  Enable Tx interrupt
 *  Input: id: Serial Channel #
 */
void EnableITX(int id)
{
	unsigned long scr_addr = id * IOREG_SCI_WINDOW + IOREG_SCI_BASE + IOREG_SCR_OFFSET;

	sil_wrb_mem((uint8_t *)scr_addr, sil_reb_mem((uint8_t *)scr_addr) | SCR_TIE);
}

/*
 *  Disable Tx interrupt
 *  Input: id: Serial Channel #
 */
void DisableITX(int id)
{
	unsigned long scr_addr = id * IOREG_SCI_WINDOW + IOREG_SCI_BASE + IOREG_SCR_OFFSET;

	sil_wrb_mem((uint8_t *)scr_addr, sil_reb_mem((uint8_t *)scr_addr) & ~SCR_TIE);
}

/*
 *  Send Tx in interrupt
 *  Input: id: Serial Channel #
 *         c : Send charactor
 */
void SendTX(int id, char c)
{
	unsigned long base = id * IOREG_SCI_WINDOW + IOREG_SCI_BASE;

	sil_wrb_mem((uint8_t *)(base+IOREG_TDR_OFFSET), c);
	sil_wrb_mem((uint8_t *)(base+IOREG_SSR_OFFSET), sil_reb_mem((uint8_t *)(base+IOREG_SSR_OFFSET)) & ~SSR_TDRE);
}

/*
 * Send Tx wait
 * Inputs: id: Serial Channel #
 */
void SendTXWait(int id)
{
	unsigned long base = id * IOREG_SCI_WINDOW + IOREG_SCI_BASE;

	while((sil_reb_mem((uint8_t *)(base+IOREG_SSR_OFFSET)) & SSR_TDRE) == 0);
}

/*
 *  Error Clear
 *  Input: id: Serial Channel #
 */
void ClearSiOError(int id)
{
	unsigned long base = id * IOREG_SCI_WINDOW + IOREG_SCI_BASE;

	sil_wrb_mem((uint8_t *)(base+IOREG_SSR_OFFSET), sil_reb_mem((uint8_t *)(base+IOREG_SSR_OFFSET)) & (SSR_TDRE|SSR_RDRF));
}

