/*
 *  rommon Simple Monitor
 * 
 *  Copyright (C) 1999-2004 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *  Copyright (C) 2006 by GJ Business Division RICOH COMPANY,LTD. JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: $
 */

/*
 *	7047.S -- depend SH2/7047F
 */

#define _MACRO_ONLY
#include "sys_defs.h"
#include "mondefs.h"
#include "serial.h"


	.text
	.align		4
	.globl		_Main
	.globl		_Disable
	.globl		_Enable
	.globl		_SetVector
	.globl		_sil_dly_nse

/*
 *  Reset Program
 */
_Main:
	mov.l	_stack_k, r15
	mov.l	_monmain_k, r0
	jsr		@r0
	nop
MainLoop:
	bra		MainLoop
	nop

/*
 *  interrupt disable
 */
_Disable:
	stc		sr,r0
	mov.l	_disable_r,r1
	or		r1,r0
	ldc		r0,sr
	rts
	nop

/*
 *  interrupt enable
 */
_Enable:
	stc		sr,r0
	mov.l	_enable_r,r1
	and		r1,r0
	ldc		r0,sr
	rts
	nop

/*
 *  set vector
 */
_SetVector:
	ldc		r4,vbr
	rts
	nop

/*
 * եȥǥ쥣ؿ
 */
_sil_dly_nse:
    mov.l  _sil_dly_tim1, r1	/* r4 SIL_DLY_TIM1  */
    add    r1, r4
    cmp/pl r4			/* ̤ 0 ʲʤ꥿ */
    bt     _sil_dly_nse1
    /*  ٱ䥹åȤʤ  */
    rts
    nop
_sil_dly_nse1:
    mov.l  _sil_dly_tim2, r1	/* r4 SIL_DLY_TIM2  */
    add    r1, r4
    cmp/pl r4			/* ̤ 0 ʲʤ꥿ */
    bt     _sil_dly_nse1
    /*  ٱ䥹åȤʤ  */
    rts
    nop
    .align 2
_sil_dly_tim1:
    .long  -SIL_DLY_TIM1
_sil_dly_tim2:
    .long  -SIL_DLY_TIM2

/*
 *	SCI Intrrupt Handler: SCI #3, Error
 */

InterERI3:
	rte
	nop

/*
 *	SCI Intrrupt Handler: SCI #3, Recive Data Full
 */

InterRXI3:
	mov.l	r0,@-r15
	mov.l	r1,@-r15
	mov.l	r2,@-r15
	mov.l	r3,@-r15
	mov.l	r4,@-r15
	mov.l	r5,@-r15
	mov.l	r6,@-r15
	mov.l	r7,@-r15
	sts.l	pr,@-r15
	mov.l	_cominterrx_r,r1
	jsr		@r1
	mov		#0, r4
	lds.l	@r15+,pr
	mov.l	@r15+,r7
	mov.l	@r15+,r6
	mov.l	@r15+,r5
	mov.l	@r15+,r4
	mov.l	@r15+,r3
	mov.l	@r15+,r2
	mov.l	@r15+,r1
	mov.l	@r15+,r0
	rte
	nop

/*
 *	SCI Intrrupt Handler: SCI #3, Transmit Data Empty
 */

InterTXI3:
	mov.l	r0,@-r15
	mov.l	r1,@-r15
	mov.l	r2,@-r15
	mov.l	r3,@-r15
	mov.l	r4,@-r15
	mov.l	r5,@-r15
	mov.l	r6,@-r15
	mov.l	r7,@-r15
	sts.l	pr,@-r15
	mov.l	_comintertx_r,r1
	jsr		@r1
	mov		#0, r4
	lds.l	@r15+,pr
	mov.l	@r15+,r7
	mov.l	@r15+,r6
	mov.l	@r15+,r5
	mov.l	@r15+,r4
	mov.l	@r15+,r3
	mov.l	@r15+,r2
	mov.l	@r15+,r1
	mov.l	@r15+,r0
	rte
	nop

/*
 *	SCI Intrrupt Handler: SCI #3, Transmit Data End
 */

InterTEI3:
	rte
	nop

#if MAX_SERIAL >= 2

/*
 *	SCI Intrrupt Handler: SCI #4, Error
 */

InterERI4:
	rte
	nop

/*
 *	SCI Intrrupt Handler: SCI #1, Recive Data Full
 */

InterRXI4:
	mov.l	r0,@-r15
	mov.l	r1,@-r15
	mov.l	r2,@-r15
	mov.l	r3,@-r15
	mov.l	r4,@-r15
	mov.l	r5,@-r15
	mov.l	r6,@-r15
	mov.l	r7,@-r15
	sts.l	pr,@-r15
	mov.l	_cominterrx_r,r1
	jsr		@r1
	mov		#1, r4
	lds.l	@r15+,pr
	mov.l	@r15+,r7
	mov.l	@r15+,r6
	mov.l	@r15+,r5
	mov.l	@r15+,r4
	mov.l	@r15+,r3
	mov.l	@r15+,r2
	mov.l	@r15+,r1
	mov.l	@r15+,r0
	rte
	nop

/*
 *	SCI Intrrupt Handler: SCI #1, Transmit Data Empty
 */

InterTXI4:
	mov.l	r0,@-r15
	mov.l	r1,@-r15
	mov.l	r2,@-r15
	mov.l	r3,@-r15
	mov.l	r4,@-r15
	mov.l	r5,@-r15
	mov.l	r6,@-r15
	mov.l	r7,@-r15
	sts.l	pr,@-r15
	mov.l	_comintertx_r,r1
	jsr		@r1
	mov		#1, r4
	lds.l	@r15+,pr
	mov.l	@r15+,r7
	mov.l	@r15+,r6
	mov.l	@r15+,r5
	mov.l	@r15+,r4
	mov.l	@r15+,r3
	mov.l	@r15+,r2
	mov.l	@r15+,r1
	mov.l	@r15+,r0
	rte
	nop

/*
 *	SCI Intrrupt Handler: SCI #1, Transmit Data End
 */

InterTEI4:
	rte
	nop

#endif	/* of #if MAX_SERIAL >= 2 */

	.align		4
_monmain_k:
	.long	_MonMain
_comintertx_r:
	.long	_ComInterTX
_cominterrx_r:
	.long	_ComInterRX
_stack_k:
	.long   STACK_TOP
_disable_r:
	.long	0x000000f0
_enable_r:
	.long	0xffffff0f


	.text
	.align		2
/*
 *	Ordinary Vector Area
 */

	.section	".vector","ax"
	.globl		_MonitorVector
	.globl		_UserVector
_MonitorVector:
_UserVector:

	.long		_Main			/*   0, 0x000: power on reset */
	.long		0				/*   1, 0x004: power on vector */
	.long		_Main			/*   2, 0x008: manual reset */
	.long		0				/*   3, 0x00c: manual vector */
	.long		_Main			/*   4, 0x010: ̿ */
	.long		0				/*   5, 0x014: reserved */
	.long		_Main			/*   6, 0x018: å̿ */
	.long		0				/*   7, 0x01c: reserved */
	.long		0				/*   8, 0x020: reserved */
	.long		_Main			/*   9, 0x024: CPU address error */
	.long		_Main			/*  10, 0x028: DMAC/DTC address error */
	.long		_Main			/*  11, 0x02c: NMI */
	.long		_Main			/*  12, 0x030: User break */
	.long		0				/*  13, 0x034: reserved */
	.long		0				/*  14, 0x038: reserved */
	.long		0				/*  15, 0x03c: reserved */
	.long		0				/*  16, 0x040: reserved */
	.long		0				/*  17, 0x044: reserved */
	.long		0				/*  18, 0x048: reserved */
	.long		0				/*  19, 0x04c: reserved */
	.long		0				/*  20, 0x050: reserved */
	.long		0				/*  21, 0x054: reserved */
	.long		0				/*  22, 0x058: reserved */
	.long		0				/*  23, 0x05c: reserved */
	.long		0				/*  24, 0x060: reserved */
	.long		0				/*  25, 0x064: reserved */
	.long		0				/*  26, 0x068: reserved */
	.long		0				/*  27, 0x06c: reserved */
	.long		0				/*  28, 0x070: reserved */
	.long		0				/*  29, 0x074: reserved */
	.long		0				/*  30, 0x078: reserved */
	.long		0				/*  31, 0x07c: reserved */
	.long		0				/*  32, 0x080: reserved */
	.long		0				/*  33, 0x084: reserved */
	.long		0				/*  34, 0x088: reserved */
	.long		0				/*  35, 0x08c: reserved */
	.long		0				/*  36, 0x090: reserved */
	.long		0				/*  37, 0x094: reserved */
	.long		0				/*  38, 0x098: reserved */
	.long		0				/*  39, 0x09c: reserved */
	.long		0				/*  40, 0x0a0: reserved */
	.long		0				/*  41, 0x0a4: reserved */
	.long		0				/*  42, 0x0a8: reserved */
	.long		0				/*  43, 0x0ac: reserved */
	.long		0				/*  44, 0x0b0: reserved */
	.long		0				/*  45, 0x0b4: reserved */
	.long		0				/*  46, 0x0b8: reserved */
	.long		0				/*  47, 0x0bc: reserved */
	.long		0				/*  48, 0x0c0: reserved */
	.long		0				/*  49, 0x0c4: reserved */
	.long		0				/*  50, 0x0c8: reserved */
	.long		0				/*  51, 0x0cc: reserved */
	.long		0				/*  52, 0x0d0: reserved */
	.long		0				/*  53, 0x0d4: reserved */
	.long		0				/*  54, 0x0d8: reserved */
	.long		0				/*  55, 0x0dc: reserved */
	.long		0				/*  56, 0x0e0: reserved */
	.long		0				/*  57, 0x0e4: reserved */
	.long		0				/*  58, 0x0e8: reserved */
	.long		0				/*  59, 0x0ec: reserved */
	.long		0				/*  60, 0x0f0: reserved */
	.long		0				/*  61, 0x0f4: reserved */
	.long		0				/*  62, 0x0f8: reserved */
	.long		0				/*  63, 0x0fc: reserved */
	.long		_Main			/*  64, 0x100: IREQ0 */
	.long		_Main			/*  65, 0x104: IREQ1 */
	.long		_Main			/*  66, 0x108: IREQ2 */
	.long		_Main			/*  67, 0x10c: IREQ3 */
	.long		0				/*  68, 0x110: reserved */
	.long		0				/*  69, 0x114: reserved */
	.long		0				/*  70, 0x118: reserved */
	.long		0				/*  71, 0x11c: reserved */
	.long		0				/*  72, 0x120: reserved */
	.long		0				/*  73, 0x124: reserved */
	.long		0				/*  74, 0x128: reserved */
	.long		0				/*  75, 0x12c: reserved */
	.long		0				/*  76, 0x130: reserved */
	.long		0				/*  77, 0x134: reserved */
	.long		0				/*  78, 0x138: reserved */
	.long		0				/*  79, 0x13c: reserved */
	.long		0				/*  80, 0x140: reserved */
	.long		0				/*  81, 0x144: reserved */
	.long		0				/*  82, 0x148: reserved */
	.long		0				/*  83, 0x14c: reserved */
	.long		0				/*  84, 0x150: reserved */
	.long		0				/*  85, 0x154: reserved */
	.long		0				/*  86, 0x158: reserved */
	.long		0				/*  87, 0x15c: reserved */
	.long		_Main			/*  88, 0x160: TIMER0A */
	.long		_Main			/*  89, 0x164: TIMER0B */
	.long		_Main			/*  90, 0x168: TIMER0C */
	.long		_Main			/*  91, 0x16c: TIMER0D */
	.long		_Main			/*  92, 0x170: TIMER0 overflow */
	.long		0				/*  93, 0x174: reserved */
	.long		0				/*  94, 0x178: reserved */
	.long		0				/*  95, 0x17c: reserved */
	.long		_Main			/*  96, 0x180: TIMER1A */
	.long		_Main			/*  97, 0x184: TIMER1B */
	.long		0				/*  98, 0x188: reserved */
	.long		0				/*  99, 0x18c: reserved */
	.long		_Main			/* 100, 0x190: TIMER1 overflow */
	.long		_Main			/* 101, 0x194: TIMER1 underflow */
	.long		0				/* 102, 0x198: reserved */
	.long		0				/* 103, 0x19c: reserved */
	.long		_Main			/* 104, 0x1a0: TIMER2A */
	.long		_Main			/* 105, 0x1a4: TIMER2B */
	.long		0				/* 106, 0x1a8: reserved */
	.long		0				/* 107, 0x1ac: reserved */
	.long		_Main			/* 108, 0x1b0: TIMER2 overflow */
	.long		_Main			/* 109, 0x1b4: TIMER2 underflow */
	.long		0				/* 110, 0x1b8: reserved */
	.long		0				/* 111, 0x1bc: reserved */
	.long		0				/* 112, 0x1c0: TIMER3A */
	.long		_Main			/* 113, 0x1c4: TIMER3B */
	.long		_Main			/* 114, 0x1c8: TIMER3C */
	.long		_Main			/* 115, 0x1cc: TIMER3D */
	.long		_Main			/* 116, 0x1d0: TIMER3 overflow */
	.long		0				/* 117, 0x1d4: reserved */
	.long		0				/* 118, 0x1d8: reserved */
	.long		0				/* 119, 0x1dc: reserved */
	.long		_Main			/* 120, 0x1e0: TIMER4A */
	.long		_Main			/* 121, 0x1e4: TIMER4B */
	.long		_Main			/* 122, 0x1e8: TIMER4C */
	.long		_Main			/* 123, 0x1ec: TIMER4D */
	.long		_Main			/* 124, 0x1f0: TIMER4 overflow */
	.long		0				/* 125, 0x1f4: reserved */
	.long		0				/* 126, 0x1f8: reserved */
	.long		0				/* 127, 0x1fc: reserved */
	.long		0				/* 128, 0x200: reserved */
	.long		0				/* 129, 0x204: reserved */
	.long		0				/* 130, 0x208: reserved */
	.long		0				/* 131, 0x20c: reserved */
	.long		0				/* 132, 0x210: reserved */
	.long		0				/* 133, 0x214: reserved */
	.long		0				/* 134, 0x218: reserved */
	.long		0				/* 135, 0x21c: reserved */
	.long		_Main			/* 136, 0x220: A/D0 */
	.long		_Main			/* 137, 0x224: A/D1 */
	.long		0				/* 138, 0x228: reserved */
	.long		0				/* 139, 0x22c: reserved */
	.long		_Main			/* 140, 0x230: DTC */
	.long		0				/* 141, 0x234: reserved */
	.long		0				/* 142, 0x238: reserved */
	.long		0				/* 143, 0x23c: reserved */
	.long		_Main			/* 144, 0x240: CMT0 */
	.long		0				/* 145, 0x244: reserved */
	.long		0				/* 146, 0x248: reserved */
	.long		0				/* 147, 0x24c: reserved */
	.long		_Main			/* 148, 0x250: CMT1 */
	.long		0				/* 149, 0x254: reserved */
	.long		0				/* 150, 0x258: reserved */
	.long		0				/* 151, 0x25c: reserved */
	.long		_Main			/* 152, 0x260: WDT */
	.long		0				/* 153, 0x264: reserved */
	.long		0				/* 154, 0x268: reserved */
	.long		0				/* 155, 0x26c: reserved */
	.long		_Main			/* 156, 0x270: I/O(MTU) */
	.long		0				/* 157, 0x274: reserved */
	.long		0				/* 158, 0x278: reserved */
	.long		0				/* 159, 0x27c: reserved */
	.long		0				/* 160, 0x280: reserved */
	.long		0				/* 161, 0x284: reserved */
	.long		0				/* 162, 0x288: reserved */
	.long		0				/* 163, 0x28c: reserved */
	.long		0				/* 164, 0x290: reserved */
	.long		0				/* 165, 0x294: reserved */
	.long		0				/* 166, 0x298: reserved */
	.long		0				/* 167, 0x29c: reserved */
	.long		_Main			/* 168, 0x2a0: SCI2 RXER */
	.long		_Main			/* 169, 0x2a4: SCI2 RXFULL */
	.long		_Main			/* 170, 0x2a8: SCI2 TXEMP */
	.long		_Main			/* 171, 0x2ac: SCI2 TXEND */
	.long		InterERI3		/* 172, 0x2b0: SCI3 RXER */
	.long		InterRXI3		/* 173, 0x2b4: SCI3 RXFULL */
	.long		InterTXI3		/* 174, 0x2b8: SCI3 TXEMP */
	.long		InterTEI3		/* 175, 0x2bc: SCI3 TXEND */
	.long		InterERI4		/* 176, 0x2c0: SCI4 RXER */
	.long		InterRXI4		/* 177, 0x2c4: SCI4 RXFULL */
	.long		InterTXI4		/* 178, 0x2c8: SCI4 TXEMP */
	.long		InterTEI4		/* 179, 0x2cc: SCI4 TXEND */
	.long		_Main			/* 180, 0x2d0: MMT TGIM */
	.long		_Main			/* 181, 0x2d4: MMT TGIN */
	.long		0				/* 182, 0x2d8: reserved */
	.long		0				/* 183, 0x2dc: reserved */
	.long		_Main			/* 184, 0x2e0: A/D2 */
	.long		0				/* 185, 0x2e4: reserved */
	.long		0				/* 186, 0x2e8: reserved */
	.long		0				/* 187, 0x2ec: reserved */
	.long		0				/* 188, 0x2f0: reserved */
	.long		0				/* 189, 0x2f4: reserved */
	.long		0				/* 190, 0x2f8: reserved */
	.long		0				/* 191, 0x2fc: reserved */
	.long		0				/* 192, 0x300: reserved */
	.long		0				/* 193, 0x304: reserved */
	.long		0				/* 194, 0x308: reserved */
	.long		0				/* 195, 0x30c: reserved */
	.long		0				/* 196, 0x310: reserved */
	.long		0				/* 197, 0x314: reserved */
	.long		0				/* 198, 0x318: reserved */
	.long		0				/* 199, 0x31c: reserved */
	.long		_Main			/* 200, 0x320: I/O(MMT) */
	.long		0				/* 201, 0x324: reserved */
	.long		0				/* 202, 0x328: reserved */
	.long		0				/* 203, 0x32c: reserved */
	.long		0				/* 204, 0x330: reserved */
	.long		0				/* 205, 0x334: reserved */
	.long		0				/* 206, 0x338: reserved */
	.long		0				/* 207, 0x33c: reserved */
	.long		0				/* 208, 0x340: HCAN2 ERS */
	.long		0				/* 209, 0x344: HCAN2 OVR */
	.long		0				/* 210, 0x348: HCAN2 RM */
	.long		0				/* 211, 0x34c: HCAN2 SLE */
	.long		0				/* 212, 0x350: reserved */
	.long		0				/* 213, 0x354: reserved */
	.long		0				/* 214, 0x358: reserved */
	.long		0				/* 215, 0x35c: reserved */
	.long		0				/* 216, 0x360: reserved */
	.long		0				/* 217, 0x364: reserved */
	.long		0				/* 218, 0x368: reserved */
	.long		0				/* 219, 0x36c: reserved */
	.long		0				/* 220, 0x370: reserved */
	.long		0				/* 221, 0x374: reserved */
	.long		0				/* 222, 0x378: reserved */
	.long		0				/* 223, 0x37c: reserved */
	.long		0				/* 224, 0x380: reserved */
	.long		0				/* 225, 0x384: reserved */
	.long		0				/* 226, 0x388: reserved */
	.long		0				/* 227, 0x38c: reserved */
	.long		0				/* 228, 0x390: reserved */
	.long		0				/* 229, 0x394: reserved */
	.long		0				/* 230, 0x398: reserved */
	.long		0				/* 231, 0x39c: reserved */
	.long		0				/* 232, 0x3a0: reserved */
	.long		0				/* 233, 0x3a4: reserved */
	.long		0				/* 234, 0x3a8: reserved */
	.long		0				/* 235, 0x3ac: reserved */
	.long		0				/* 236, 0x3b0: reserved */
	.long		0				/* 237, 0x3b4: reserved */
	.long		0				/* 238, 0x3b8: reserved */
	.long		0				/* 239, 0x3bc: reserved */
	.long		0				/* 240, 0x3c0: reserved */
	.long		0				/* 241, 0x3c4: reserved */
	.long		0				/* 242, 0x3c8: reserved */
	.long		0				/* 243, 0x3cc: reserved */
	.long		0				/* 244, 0x3d0: reserved */
	.long		0				/* 245, 0x3d4: reserved */
	.long		0				/* 246, 0x3d8: reserved */
	.long		0				/* 247, 0x3dc: reserved */
	.long		0				/* 248, 0x3e0: reserved */
	.long		0				/* 249, 0x3e4: reserved */
	.long		0				/* 250, 0x3e8: reserved */
	.long		0				/* 251, 0x3ec: reserved */
	.long		0				/* 252, 0x3f0: reserved */
	.long		0				/* 253, 0x3f4: reserved */
	.long		0				/* 254, 0x3f8: reserved */
	.long		0				/* 255, 0x3fc: reserved */


	.end
