
#ifndef _SYS_DEFS_H_
#define _SYS_DEFS_H_

/*	Values	*/

#define TARGET_CPU_STR		"ARM7/LPC2388"

/* endian */
#define SIL_ENDIAN      0		/* LITTLE ENDIAN */

/*	Address		*/
#define RAM_BASE        0x40000000
#define RAM_SIZE        (64*1024)
#define VECTOR_SIZE		(4*8)
#define FIQ_DATA_SIZE   256
#define STACKINT        (RAM_BASE+RAM_SIZE-FIQ_DATA_SIZE)	/* ߥåν */
#define STACKTOP        (STACKINT-256)						/* 桼åν */

/*
 *  ԤΤ
 *  ϥåȿ˰¸롣
 */
#define    SIL_DLY_TIM1     200
#define    SIL_DLY_TIM2     158

/*	Default Values	*/

#define MAX_INT_NUM     32
#define DEF_DUMP_LENGTH	256
#define DEF_MON_SERIAL	0
#define NOT_INITDECT
#define NOINT_UARTTX

#ifndef _MACRO_ONLY
/*
 *  ѥ¸Υǡ
 */
#define	_int8_		char		/* 8ӥåȤ	*/
#define	_int16_		short		/* 16ӥåȤ	*/
#define	_int32_		int			/* 32ӥåȤ	*/

/*
 *  ѥγĥǽΤΥޥ
 */
#define	Inline          static inline

extern int sys_printf(const char * format, ...);
extern void sys_putc(int c);

#endif	/* _MACRO_ONLY */

/*	Serial Channels		*/

#define MAX_SERIAL		2

#include "lpc23xx.h"

/* serial definitions */

#if 1
#define DEFAULT_SPEED		38400
#else	/* of #if 1 */
#define DEFAULT_SPEED		115200
#endif	/* of #if 1 */

#endif	/* SYS_DEFS_H_ */

