
#ifndef _SYS_DEFS_H_
#define _SYS_DEFS_H_

/*	Values	*/

#define TARGET_CPU_STR		"H8/3069F"

/* endian */
#define SIL_ENDIAN      1		/* BIG ENDIAN */

/*	Address		*/
#define RAM_BASE		0xffbf20
#define RAM_SIZE		0x004000
#define VECTOR_SIZE		0x100
#define STACK_TOP		(RAM_BASE + RAM_SIZE)

/*	Default Values	*/

#define DEF_DUMP_LENGTH		256
#define DEF_MON_SERIAL		1

#ifndef _MACRO_ONLY
/*
 *  ѥ¸Υǡ
 */
#define	_int8_		char		/* 8ӥåȤ	*/
#define	_int16_		short		/* 16ӥåȤ	*/
#define	_int32_		int			/* 32ӥåȤ	*/

/*
 *  ѥγĥǽΤΥޥ
 */
#define	Inline          static inline

#endif	/* _MACRO_ONLY */

/*	Serial Channels		*/

#if 0					/* Don't touch !! */
#define MAX_SERIAL		3
#else	/* of #if 0 */
#define MAX_SERIAL		2
#endif	/* of #if 0 */

#include "3069.h"

/* serial definitions */

#if 1
#define DEFAULT_SPEED		38400
#else	/* of #if 1 */
#define DEFAULT_SPEED		9600
#endif	/* of #if 1 */

#define DEFAULT_BRR		(CLOCK_RATE / 32 / DEFAULT_SPEED - 1)

#define DEFAULT_SMR		0x00	/* Async, 8 bits, No parity, 1 stop bit, no MP, 1/1 */

#endif	/* SYS_DEFS_H_ */

